(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: config.mli,v 1.5.2.1 2011-09-21 13:08:04 fclement Exp $ *)

type graphical_output = Window | Postscript | No;;
(** The type of graphical outputs. *)

val graphical_output_of_string : string -> graphical_output;;
val string_of_graphical_output : graphical_output -> string;;
(** Conversion functions. *)

type configuration = {
  rdec_config_filename : string;
  result_basename : string;
  result_dir : string;
  worker_dir : string;
  worker_exe : string;
  graphical_output : graphical_output;
  outer_itermax : int;
  inner_itermax : int;
  display_step : int;
  a_while : int;
};;
(** The type of configurations. *)

val parse_configuration_file : string -> configuration;;
(** Parsing a configuration file. *)

val print_configuration_file : Buffer.t -> configuration -> unit;;
(** Printing a configuration file. *)

val string_of_configuration_file : configuration -> string;;
(** string of a configuration file. *)
